IllegalArgumentException (Java Platform SE 8 )
Keywords: java.lang.IllegalArgumentException class
Date: 2016-07-28

compact1, compact2, compact3
java.lang

## Class IllegalArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IllegalChannelGroupException, IllegalCharsetNameException, IllegalFormatException, IllegalSelectorException, IllegalThreadStateException, InvalidKeyException, InvalidOpenTypeException, InvalidParameterException, InvalidPathException, KeyAlreadyExistsException, NumberFormatException, PatternSyntaxException, ProviderMismatchException, UnresolvedAddressException, UnsupportedAddressTypeException, UnsupportedCharsetException

      public class IllegalArgumentException
      extends RuntimeException

  Thrown to indicate that a method has been passed an illegal or inappropriate argument.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalArgumentException()` Constructs an `IllegalArgumentException` with no detail message.
    `IllegalArgumentException(String s)` Constructs an `IllegalArgumentException` with the specified detail message.
    `IllegalArgumentException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `IllegalArgumentException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalArgumentException

          public IllegalArgumentException()

      Constructs an `IllegalArgumentException` with no detail message.

    - #### IllegalArgumentException

          public IllegalArgumentException(String s)

      Constructs an `IllegalArgumentException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### IllegalArgumentException

          public IllegalArgumentException(String message,
                                          Throwable cause)

      Constructs a new exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### IllegalArgumentException

          public IllegalArgumentException(Throwable cause)

      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.